Release Notes for Alpine 1.7.9

From Alpine Linux
Jump to: navigation, search

New vsgrsec kernel

vsgrsec kernel is upgraded. Based on 2.6.22.12 kernel and latest vs-grsec patch from linux-vserver.org. both the generic kernel and vsgrsec should have the ip_gre patch included now so opennhrp should work.

New aports scipts

New scripts to build the apks have been commited to the svn. this is a big change. filelists are created dynamically and exclude/include lists is handeled with EXCLUDE and INCLUDE variables. This makes it alot easier to split packages and create -dev/-doc packages.

OpenSSH and Squid packages splitted

OpenSSH is splitted into openssh-server and openssh-client. for compability the openssh package is kept as meta pacakge and will just pull in both server and client.

Squid is splitted and exclude the language error messages by default. all languages are in therir own squid-errors-<lang> package. squid-errors-english is pulled in by default as a dependency.

Asterisk 1.4.9

Experimental asterisk 1.4.9 was added, including bristuff.

GCC and Binutils merge

gcc-dev and gcc is merged into gcc. binutils-dev and binutils are merged into bintutils. Those pacakges are development packages by definition and sparate the .h and .a files into a -dev package is just meaningless.

Removed packages:
binutils-dev-2.18-r1
gcc-dev-3.4.6-r2


New pacakges:
cups-1.2.12-r2
opennhrp-0.2
openssh-client-4.7_p1-r1
openssh-server-4.7_p1-r1
squid-errors-armenian-2.6.16
squid-errors-azerbaijani-2.6.16
squid-errors-bulgarian-2.6.16
squid-errors-catalan-2.6.16
squid-errors-czech-2.6.16
squid-errors-danish-2.6.16
squid-errors-dutch-2.6.16
squid-errors-english-2.6.16
squid-errors-estonian-2.6.16
squid-errors-finnish-2.6.16
squid-errors-french-2.6.16
squid-errors-german-2.6.16
squid-errors-greek-2.6.16
squid-errors-hebrew-2.6.16
squid-errors-hungarian-2.6.16
squid-errors-italian-2.6.16
squid-errors-japanese-2.6.16
squid-errors-korean-2.6.16
squid-errors-lithuanian-2.6.16
squid-errors-polish-2.6.16
squid-errors-portuguese-2.6.16
squid-errors-romanian-2.6.16
squid-errors-russian-1251-2.6.16
squid-errors-russian-koi8-r-2.6.16
squid-errors-serbian-2.6.16
squid-errors-simplify_chinese-2.6.16
squid-errors-slovak-2.6.16
squid-errors-spanish-2.6.16
squid-errors-swedish-2.6.16
squid-errors-traditional_chinese-2.6.16
squid-errors-turkish-2.6.16
strongswan-4.1.6


Upgraded/downgraded packages (from version):
apr-1.2.11                              (1.2.8)
apr-util-1.2.10                         (1.2.8)
asterisk-1.4.9                          (1.2.21.1-r1)
asterisk-doc-1.4.9                      (1.2.21.1-r1)
baselayout-1.12.10-r5                   (2.0.0_rc6)
db-4.5.20_p2                            (4.3.29-r2)
debootstrap-1.0.7                       (1.0.6)
haserl-0.9.21                           (0.9.19)
ipsec-tools-0.7                         (0.6.7)
less-409                                (406)
libnetfilter_conntrack-0.0.82           (0.0.81)
libpcre-7.4                             (7.3-r1)
libpri-1.4.1                            (1.2.5)
libxml2-2.6.30                          (2.6.28)
openswan25-doc-2.5.15-r1                (2.5.15)
perl-5.8.8-r4                           (5.8.8-r2)
postfix-2.4.5                           (2.3.6)
subversion-1.4.5                        (1.3.2-r4)
zaptel-1.4.4                            (1.2.18)